%define name qcg-curl
%define tarball curl

Summary: Adjusted for QCG curl library
Name: %{name}
Version: 7.28.0
Release: 5
License: MIT
Vendor: Daniel Stenberg <Daniel.Stenberg@haxx.se>
Packager: Troy Engel <tengel@sonic.net>
Group: Utilities/Console
Source: %{tarball}-%{version}.tar.gz
URL: http://curl.haxx.se/
Provides: curl = %{version}
BuildRoot: %{_tmppath}/%{tarball}-%{version}-root
Requires: openssl >= 0.9.5

%define curlroot %{_builddir}/%{tarball}-%{version}

%define         _qcgdir         /opt/qcg/dependencies
%define         _sbindir        %{_qcgdir}/sbin
%define         _bindir         %{_qcgdir}/bin
%define         _sysconfdir     %{_qcgdir}/etc
%define         _datadir        %{_qcgdir}/share
%define         _libdir         %{_qcgdir}/lib
%define         _includedir     %{_qcgdir}/include

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

%package	devel
Summary:	The includes, libs, and man pages to develop with libcurl
Group:		Development/Libraries
Requires:	openssl-devel >= 0.9.5
Provides:	curl-devel = %{version}

%description devel
libcurl is the core engine of curl; this packages contains all the libs,
headers, and manual pages to develop applications using libcurl.

%prep
%setup -q -n %{tarball}-%{version}

%build
cd %{curlroot} && (if [ -f configure.in ]; then mv -f configure.in configure.in.rpm; fi)
%configure
cd %{curlroot} && (if [ -f configure.in.rpm ]; then mv -f configure.in.rpm configure.in; fi)
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install-strip

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "%{curlroot}" != "/" ] && rm -rf %{curlroot}

%post
ldconfig %{_libdir}

%postun
ldconfig

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl
%attr(0644,root,root) %{_libdir}/libcurl.so*
%{_libdir}/pkgconfig/libcurl.pc
%exclude /usr/share

%files devel
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl-config
%attr(0644,root,root) %{_includedir}/curl/*
%{_libdir}/libcurl.a
%{_libdir}/libcurl.la

%changelog
* Tue Jul 16 2013 Bartosz Bosak <bbosak@man.poznan.pl> 7.28.0-5
- Improved SPEC file: added changelog
